%define module pyparsing

Name:           python-%{module}
Version:        3.0.7
Release:        %mkrel 1
Summary:        A general parsing module for Python

License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/pyparsing/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package docs
Summary:        A general parsing module for Python
Group:          Documentation
BuildArch:      noarch

%description docs
This package includes the HTML documentataion and examples of %{module}.

%package -n python3-%{module}
Summary:        A general parsing module for Python 3
Group:          Development/Python

%description -n python3-%{module}
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the python3 version

%prep
%setup -qn %{module}-%{version}
%__rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}


%files docs
%doc docs/*

%files -n python3-%{module}
%doc CHANGES LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun Feb 13 2022 TerryN <terryn94 at gmail.com> 3.0.7-1pclos2022
- update and rebuild for python 3.10

* Thu Apr 19 2018 marcin82 <fixxer1982 at gmail.com> 2.2.0-2pclos2018
- rebuild with python 3.6.5

* Fri Mar 30 2018 marcin82 <fixxer1982 at gmail.com> 2.2.0-1pclos2018
- update

* Mon Aug 24 2015 bb <bb> 2.0.3-1pclos2015
- fix for updating

* Mon Jun 15 2015 gseaman <galen.seaman at comcast.net> 2.0.3-1gseaman2015
- rebase on mga for python3 support
